Haproxy-devel vs haproxy



  • Didn't -devel used to be ahead of the other branch which I used to think of as stable?

    haproxy-devel is currently 0.52_7
    haproxy          is currently 0.52_8

    which is the right/best/rightest version to use?


  • Rebel Alliance Developer Netgate

    Almost always, the answer is the regular version. Development happens in -devel that can make it unstable at times. It could also be built against a newer version of haproxy but with the same frontend/GUI code.

    The only time to use -devel is if you know for certain that -devel contains a feature you require that is not present in the regular version, and you are OK with possible instability.


Log in to reply